Page MenuHomeFreeBSD

Add the core netdump client code.
ClosedPublic

Authored by markj on May 1 2018, 5:22 PM.

Details

Summary

The netdump client creates a /dev/netdump. A couple of ioctls are used
by dumpon(8) to configure netdump as the dump device. At panic time,
netdump hooks the if_input function of the interface so that it can poll
for received packets.

Diff Detail

Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 16376
Build 16304: arc lint + arc unit

Event Timeline

markj created this revision.May 1 2018, 5:22 PM
sbruno accepted this revision.May 1 2018, 8:46 PM
sbruno added a reviewer: Doc Committers.
This revision is now accepted and ready to land.May 1 2018, 8:47 PM
emaste added a subscriber: emaste.May 2 2018, 12:13 AM
emaste added inline comments.
sys/netinet/netdump/netdump.h
3

We ought to check if this email address is valid.

julian accepted this revision.May 2 2018, 6:13 AM
julian added a subscriber: julian.
julian added inline comments.
share/man/man4/netdump.4
3

according to rumour this line isn't needed any more.. ask warner

sys/netinet/netdump/netdump_client.c
833

probably..

shurd added a subscriber: shurd.May 2 2018, 8:12 PM
markj added inline comments.May 2 2018, 8:38 PM
sys/netinet/netdump/netdump.h
3

I emailed a quick note to the author at that address. It hasn't bounced back yet, so we'll see if he replies.

markj added inline comments.May 2 2018, 8:45 PM
sys/netinet/netdump/netdump.h
3

It ended up bouncing. I'll just remove the address.

markj marked 2 inline comments as done.May 4 2018, 7:30 PM
markj updated this revision to Diff 42154.May 4 2018, 7:52 PM
  • Remove "all rights reserved" text.
  • Check the dst MAC address on inbound packets.
  • Remove Darrell Anderson's email address from the copyright, the address bounces.
This revision now requires review to proceed.May 4 2018, 7:52 PM
This revision was not accepted when it landed; it landed in state Needs Review.May 6 2018, 12:38 AM
This revision was automatically updated to reflect the committed changes.